%define anolis_release 1

%undefine _package_note_flags
Name:           ocaml-mmap
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        File mapping functionality

%global libname mmap

# License is LGPL 2.1 with standard OCaml exceptions
License:        LGPLv2+ with exceptions
URL:            https://github.com/mirage/mmap
Source0:        https://github.com/mirage/mmap/archive/v%{version}/mmap-v%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune

%description
This project provides a Mmap.map_file functions for mapping files
in memory. This function is the same as the Unix.map_file function
added in OCaml >= 4.06.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{libname}-%{version}

%build
dune build -p %{libname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/%{libname}/
cp -aLr _build/install/default/lib/%{libname}/* %{buildroot}%{_libdir}/ocaml/%{libname}/

%check
dune runtest

%files
%license LICENSE
%{_libdir}/ocaml/%{libname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{libname}/*.a
%exclude %{_libdir}/ocaml/%{libname}/*.cmxa
%exclude %{_libdir}/ocaml/%{libname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{libname}/*.mli

%files devel
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{libname}/*.a
%{_libdir}/ocaml/%{libname}/*.cmxa
%{_libdir}/ocaml/%{libname}/*.cmx
%endif
%{_libdir}/ocaml/%{libname}/*.mli

%files doc
%doc README.md CHANGES.md

%changelog
* Thu Mar 23 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.0-1
- Init from upstream
